## gem 0.19

=== DESCRIPTION ===
Package: gem
Type: Package
Title: File Conversion for 'Gem Infrasound Logger'
Version: 0.19
Date: 2016-08-04
Author: Jake Anderson
Maintainer: Jake Anderson <ajakef@gmail.com>
Description: Reads data files from the 'Gem infrasound logger' for analysis and converts to segy format (which is convenient for reading with traditional seismic analysis software). The Gem infrasound logger is an in-development low-cost, lightweight, low-power instrument for recording infrasound in field campaigns; email the maintainer for more information.
Depends: signal
License: GPL
LazyLoad: yes
Packaged: 2016-08-04 22:07:23 UTC; jake
Repository: CRAN
Date/Publication: 2016-08-05 01:15:05
NeedsCompilation: no

## gem 0.77

=== src/Makefile ===
##################################################
#
#   Makefile for GEM
#   Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
#
##################################################

SHELL = /usr/bin/sh

# search path
#############
OBJ_DIR     	= Objects
VPATH	    	= ${OBJ_DIR}

# the objects
#############
BASE_CORE = CPPExtern.o GemMan.o GemBase.o sgiimage.o GemEvent.o
BASE_EXT = GemShape.o TextBase.o GemPathBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o
BASE_OBJ = ${BASE_CORE} ${BASE_EXT}
UTILS_BASE = GemSetup.o GemState.o GemCache.o GemDag.o Matrix.o
UTILS_PIX = GemFuncUtil.o GemPixUtil.o GemPixImageLoad.o
UTILS_OS = GemWinCreateXWin.o
UTILS = ${UTILS_BASE} ${UTILS_PIX} ${UTILS_OS}

CONTROLS_A = gemwin.o camera.o render_trigger.o gemhead.o
CONTROLS_B = gemmouse.o gemtablet.o gemorb.o
CONTROLS = ${CONTROLS_A} ${CONTROLS_B}
MANIPS_A = translateXYZ.o scaleXYZ.o rotateXYZ.o colorRGB.o
MANIPS_B = rotate.o translate.o scale.o color.o depth.o alpha.o separator.o
MANIPS_C = linear_path.o spline_path.o accumrotate.o ortho.o
MANIPULATORS = ${MANIPS_A} ${MANIPS_B} ${MANIPS_C}
2DGEOS = square.o triangle.o circle.o text2d.o
3DGEOS = cube.o cone.o sphere.o imageVert.o text3d.o textoutline.o
SPEC_GEOS = polygon.o model.o multimodel.o curve.o colorSquare.o
GEOS = ${2DGEOS} ${3DGEOS} ${SPEC_GEOS}

NONGEOS = world_light.o light.o

PIX_GEOS = pix_image.o pix_multiimage.o pix_texture.o pix_draw.o pix_snap.o
PIX_CONTROLS = pix_resize.o pix_buf.o pix_zoom.o
PIX_MANA = pix_add.o pix_subtract.o pix_multiply.o
PIX_MANB = pix_threshold.o pix_gain.o pix_color.o pix_bitmask.o pix_flip.o
PIX_MANC = pix_colormatrix.o pix_alpha.o pix_convolve.o pix_composite.o
PIX_MAND = pix_coloralpha.o pix_mask.o pix_clearblock.o
PIX_MANE = pix_coordinate.o pix_2grey.o pix_invert.o
PIX_MANIPS = ${PIX_MANA} ${PIX_MANB} ${PIX_MANC} ${PIX_MAND} ${PIX_MANE}
PIXES = ${PIX_GEOS} ${PIX_CONTROLS} ${PIX_MANIPS}

SGI_SPECIFIC = pix_videoSGI.o pix_indycam.o

OBJ = ${BASE_OBJ} ${UTILS} ${CONTROLS} ${MANIPULATORS} \
      ${GEOS} ${NONGEOS} ${PIXES}

SGI_OBJ = ${OBJ} ${SGI_SPECIFIC}
LINUX_OBJ = ${OBJ}

# the target
############
# SGI
TARGET = ../../Gem.pd_irix5
# Linux
# TARGET = ../../Gem.pd_linux

# compile flags
###############
# compilation targets
REL_CC_FLAGS   	= -DNDEBUG -UDEBUG -O2
DBG_CC_FLAGS 	= -DDEBUG -g

# AuxLib includes
AUXDIR			= ../AuxLibs
AUXINC_IMG		= -I${AUXDIR}/Jpeg -I${AUXDIR}/tiff/libtiff -I${AUXDIR}/liborb
AUXINC_POLY		= -I${AUXDIR}/gltt -I${AUXDIR}/td -I${AUXDIR}/particle
AUXINC			= ${AUXINC_IMG} ${AUXINC_POLY}
INC_FLAGS		= -I. -I.. -I../../../src ${AUXINC}
COMP_FLAGS		= -xansi

# SGI
WARN_FLAGS		= -woff 3157,3173
# Linux
#WARN_FLAGS		= -Wall

ALL_CC_FLAGS	= ${COMP_FLAGS} ${WARN_FLAGS} ${INC_FLAGS}

#linker flags
#############
# AuxLib libraries
AUXLIB_IMG		= -L${AUXDIR}/Jpeg -ljpeg -L${AUXDIR}/tiff -ltiff
AUXLIB_POLYA	= -L${AUXDIR}/gltt -lgltt -L${AUXDIR}/gltt/freetype/lib -lttf
AUXLIB_POLYB	= -L${AUXDIR}/td -ltd -L${AUXDIR}/particle -lparticle
AUXLIB_POLYC	= -L${AUXDIR}/liborb -lorb
AUXLIB_POLY		= ${AUXLIB_POLYA} ${AUXLIB_POLYB} ${AUXLIB_POLYC}
AUXLIB			= ${AUXLIB_IMG} ${AUXLIB_POLY}

# SGI
LIB = -lX11 -lGLU -lGL -lvl -lm ${AUXLIB}
LD_FLAGS = -elf -shared -rdata_shared

# Linux
#LIB = -lMesaGLU -lMesaGL -lm ${AUXLIB} -lX11 -lXext -ldl
#LD_FLAGS = -shared -L/usr/X11R6/lib

all: debug

# debug version
#--------------
debug:
	@echo "\n==========Compiling Debug=========="
	${MAKE} Application_objects "CC_FLAGS = ${ALL_CC_FLAGS} ${DBG_CC_FLAGS}"
	@echo "\n==========Linking Target=========="
	@${MAKE} ${TARGET}

# release version
#----------------
release:
	@echo "\n==========Compiling Release=========="
	${MAKE} Application_objects "CC_FLAGS = ${ALL_CC_FLAGS} ${REL_CC_FLAGS}"
	@echo "\n==========Linking Target=========="
	@${MAKE} ${TARGET}
	@echo "\n==========Striping Target=========="
	cd ${OBJ_DIR}; strip -f ${TARGET}


# program target
################
# SGI
${TARGET}: ${SGI_OBJ}
	cd ${OBJ_DIR}; CC -o32 -mips2 ${LD_FLAGS} -o $@ ${SGI_OBJ} ${LIB}

# Linux
#${TARGET}: ${LINUX_OBJ}
#	cd ${OBJ_DIR}; ld ${LD_FLAGS} -o ${TARGET} ${LINUX_OBJ} ${LIB}


TARG_DIR = Base Geos Nongeos Controls Manips Pixes

# make target
#############
# SGI
MAKE_TARG = sgi

# Linux
#MAKE_TARG = all

Application_objects:
	@for d in ${TARG_DIR}; do \
	    echo "\n----------$$d----------"; \
	    cd $$d ; ${MAKE} ${MAKE_TARG}; cd ..; \
	done


# helper targets
################
AUX_FILES = gem/GEM.*
DOC_FILES = gem/help gem/examples gem/doc
SRC_FILES = gem/src 
BCK_FILES = ${AUX_FILES} ${DOC_FILES} ${SRC_FILES}

backup:
	cd ../..; tar cvf GEMbackupC++.tar ${BCK_FILES}; \
	compress GEMbackupC++.tar; \
	mv GEMbackupC++.tar.Z ~/Backup/

clean:
	rm ${OBJ_DIR}/*.o

clobber: clean
	rm ${TARGET}
	rm Makefile.depend


#--------------------------
# Makedepend targets
#--------------------------
#
# header file dependencies
#---------
depend:
	@for d in ${TARG_DIR}; do \
	    echo "==== $$d ===="; \
	    cd $$d ; ${MAKE} dependencies 1>/dev/null 2>&1; cd ..; \
	done

# need a dummy file for Make.depend
#---------
firstTime:
	@for d in ${TARG_DIR}; do \
	    cd $$d ; touch Make.depend; cd ..; \
	done

=== src/Base/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: CPPExtern.o GemPixImageLoad.o GemFuncUtil.o GemPixUtil.o sgiimage.o
all: GemBase.o GemShape.o TextBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o 
all: GemCache.o GemDag.o GemState.o GemPathBase.o GemEvent.o
all: GemWinCreateXWin.o GemMan.o GemSetup.o Matrix.o

sgi: all

=== src/Controls/Makefile ===
##################################################
#
#   Makefile for GEM
#   Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: gemhead.o gemwin.o camera.o render_trigger.o
all: gemmouse.o gemtablet.o gemorb.o

sgi: all

=== src/Geos/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mdanks@cybermed.ucsd.edu
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: circle.o square.o triangle.o
all: sphere.o cube.o cone.o
all: polygon.o curve.o
all: model.o multimodel.o imageVert.o
all: colorSquare.o
all: text2d.o text3d.o textoutline.o

sgi: all

=== src/Gnu/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/gem
pkglibdir = $(libdir)/gem
pkgincludedir = $(includedir)/gem

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
CC = gcc
CXX = c++
INCLUDES = -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/particle -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/liborb -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/td -I.. -I/usr/include/gltt 
LIBS = -lparticle -lorb -ltd -lgltt -lttf -ljpeg -ltiff -lMesaGLU -lMesaGL -lm -lXext -lX11 
LIBTOOL = 
MAKEINFO = makeinfo
PACKAGE = gem
RANLIB = gcc
SGI_SPECIFIC = 
VERSION = 0.75
arch_ld_flags = -shared
shell_prog = sh
source_dirs = ../Base ../Geos ../Nongeos ../Controls ../Manips ../Pixes
target = pd_linux

gemdir = $(libdir)/gem
Gem_pd_SOURCES =../Base/CPPExtern.cpp \
../Base/GemBase.cpp \
../Base/GemCache.cpp \
../Base/GemDag.cpp \
../Base/GemEvent.cpp \
../Base/GemFuncUtil.cpp \
../Base/GemGluObj.cpp \
../Base/GemMan.cpp \
../Base/GemPathBase.cpp \
../Base/GemPixDualObj.cpp \
../Base/GemPixImageLoad.cpp \
../Base/GemPixObj.cpp \
../Base/GemPixUtil.cpp \
../Base/GemSetup.cpp \
../Base/GemShape.cpp \
../Base/GemState.cpp \
../Base/GemWinCreateXWin.cpp \
../Base/Matrix.cpp \
../Base/TextBase.cpp \
../Base/sgiimage.cpp \
../Controls/camera.cpp \
../Controls/gemhead.cpp \
../Controls/gemmouse.cpp \
../Controls/gemorb.cpp \
../Controls/gemtablet.cpp \
../Controls/gemwin.cpp \
../Controls/render_trigger.cpp \
../Geos/circle.cpp \
../Geos/colorSquare.cpp \
../Geos/cone.cpp \
../Geos/cube.cpp \
../Geos/curve.cpp \
../Geos/imageVert.cpp \
../Geos/model.cpp \
../Geos/multimodel.cpp \
../Geos/polygon.cpp \
../Geos/sphere.cpp \
../Geos/square.cpp \
../Geos/text2d.cpp \
../Geos/text3d.cpp \
../Geos/textoutline.cpp \
../Geos/triangle.cpp \
../Manips/accumrotate.cpp \
../Manips/alpha.cpp \
../Manips/color.cpp \
../Manips/colorRGB.cpp \
../Manips/depth.cpp \
../Manips/linear_path.cpp \
../Manips/ortho.cpp \
../Manips/rotate.cpp \
../Manips/rotateXYZ.cpp \
../Manips/scale.cpp \
../Manips/scaleXYZ.cpp \
../Manips/separator.cpp \
../Manips/spline_path.cpp \
../Manips/translate.cpp \
../Manips/translateXYZ.cpp \
../Nongeos/fillback.cpp \
../Nongeos/light.cpp \
../Nongeos/partatom.cpp \
../Nongeos/partfount.cpp \
../Nongeos/particle.cpp \
../Nongeos/world_light.cpp \
../Pixes/pix_2grey.cpp \
../Pixes/pix_add.cpp \
../Pixes/pix_alpha.cpp \
../Pixes/pix_bitmask.cpp \
../Pixes/pix_buf.cpp \
../Pixes/pix_clearblock.cpp \
../Pixes/pix_color.cpp \
../Pixes/pix_coloralpha.cpp \
../Pixes/pix_colormatrix.cpp \
../Pixes/pix_composite.cpp \
../Pixes/pix_convolve.cpp \
../Pixes/pix_coordinate.cpp \
../Pixes/pix_draw.cpp \
../Pixes/pix_flip.cpp \
../Pixes/pix_gain.cpp \
../Pixes/pix_image.cpp \
../Pixes/pix_invert.cpp \
../Pixes/pix_mask.cpp \
../Pixes/pix_multiimage.cpp \
../Pixes/pix_multiply.cpp \
../Pixes/pix_resize.cpp \
../Pixes/pix_snap.cpp \
../Pixes/pix_subtract.cpp \
../Pixes/pix_texture.cpp \
../Pixes/pix_threshold.cpp \
../Pixes/pix_zoom.cpp \
Gem_pd_LDADD = -shared

Gem_pd_LDFLAGS = -shared
noinst_PROGRAMS = Gem.pd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS =  -DPACKAGE=\"gem\" -DVERSION=\"0.75\" -DHAVE_LIBX11=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBM=1 -DHAVE_LIBMESAGL=1 -DHAVE_LIBMESAGLU=1 -DSTDC_HEADERS=1 -DHAVE_VPRINTF=1 -DHAVE_STRDUP=1 -DHAVE_STRSTR=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS =  -L/usr/X11R6/lib -L../../../gem-0.77/src/AuxLibs/td -L../../../gem-0.77/src/AuxLibs/liborb -L../../../gem-0.77/src/AuxLibs/particle
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
Gem_pd_OBJECTS =  CPPExtern.o GemBase.o GemCache.o GemDag.o GemEvent.o \
GemFuncUtil.o GemGluObj.o GemMan.o GemPathBase.o GemPixDualObj.o \
GemPixImageLoad.o GemPixObj.o GemPixUtil.o GemSetup.o GemShape.o \
GemState.o GemWinCreateXWin.o Matrix.o TextBase.o sgiimage.o camera.o \
gemhead.o gemmouse.o gemorb.o gemtablet.o gemwin.o render_trigger.o \
circle.o colorSquare.o cone.o cube.o curve.o imageVert.o model.o \
multimodel.o polygon.o sphere.o square.o text2d.o text3d.o \
textoutline.o triangle.o accumrotate.o alpha.o color.o colorRGB.o \
depth.o linear_path.o ortho.o rotate.o rotateXYZ.o scale.o scaleXYZ.o \
separator.o spline_path.o translate.o translateXYZ.o fillback.o light.o \
partatom.o partfount.o particle.o world_light.o pix_2grey.o pix_add.o \
pix_alpha.o pix_bitmask.o pix_buf.o pix_clearblock.o pix_color.o \
pix_coloralpha.o pix_colormatrix.o pix_composite.o pix_convolve.o \
pix_coordinate.o pix_draw.o pix_flip.o pix_gain.o pix_image.o \
pix_invert.o pix_mask.o pix_multiimage.o pix_multiply.o pix_resize.o \
pix_snap.o pix_subtract.o pix_texture.o pix_threshold.o pix_zoom.o
Gem_pd_LDADD = $(LDADD)
Gem_pd_DEPENDENCIES = 
CXXFLAGS = -g -O2
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in acinclude.m4 aclocal.m4 \
config.guess config.sub configure configure.in install-sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
DEP_FILES =  .deps/CPPExtern.P .deps/GemBase.P .deps/GemCache.P \
.deps/GemDag.P .deps/GemEvent.P .deps/GemFuncUtil.P .deps/GemGluObj.P \
.deps/GemMan.P .deps/GemPathBase.P .deps/GemPixDualObj.P \
.deps/GemPixImageLoad.P .deps/GemPixObj.P .deps/GemPixUtil.P \
.deps/GemSetup.P .deps/GemShape.P .deps/GemState.P \
.deps/GemWinCreateXWin.P .deps/Matrix.P .deps/TextBase.P \
.deps/accumrotate.P .deps/alpha.P .deps/camera.P .deps/circle.P \
.deps/color.P .deps/colorRGB.P .deps/colorSquare.P .deps/cone.P \
.deps/cube.P .deps/curve.P .deps/depth.P .deps/fillback.P \
.deps/gemhead.P .deps/gemmouse.P .deps/gemorb.P .deps/gemtablet.P \
.deps/gemwin.P .deps/imageVert.P .deps/light.P .deps/linear_path.P \
.deps/model.P .deps/multimodel.P .deps/ortho.P .deps/partatom.P \
.deps/partfount.P .deps/particle.P .deps/pix_2grey.P .deps/pix_add.P \
.deps/pix_alpha.P .deps/pix_bitmask.P .deps/pix_buf.P \
.deps/pix_clearblock.P .deps/pix_color.P .deps/pix_coloralpha.P \
.deps/pix_colormatrix.P .deps/pix_composite.P .deps/pix_convolve.P \
.deps/pix_coordinate.P .deps/pix_draw.P .deps/pix_flip.P \
.deps/pix_gain.P .deps/pix_image.P .deps/pix_invert.P .deps/pix_mask.P \
.deps/pix_multiimage.P .deps/pix_multiply.P .deps/pix_resize.P \
.deps/pix_snap.P .deps/pix_subtract.P .deps/pix_texture.P \
.deps/pix_threshold.P .deps/pix_zoom.P .deps/polygon.P \
.deps/render_trigger.P .deps/rotate.P .deps/rotateXYZ.P .deps/scale.P \
.deps/scaleXYZ.P .deps/separator.P .deps/sgiimage.P .deps/sphere.P \
.deps/spline_path.P .deps/square.P .deps/text2d.P .deps/text3d.P \
.deps/textoutline.P .deps/translate.P .deps/translateXYZ.P \
.deps/triangle.P .deps/world_light.P
CXXMKDEP = $(CXX) -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
SOURCES = $(Gem_pd_SOURCES)
OBJECTS = $(Gem_pd_OBJECTS)

all: Makefile $(PROGRAMS)

.SUFFIXES:
.SUFFIXES: .S .c .cpp .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in  acinclude.m4
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

Gem.pd: $(Gem_pd_OBJECTS) $(Gem_pd_DEPENDENCIES)
	@rm -f Gem.pd
	$(CXXLINK) $(Gem_pd_LDFLAGS) $(Gem_pd_OBJECTS) $(Gem_pd_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	-rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).P -c $<

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \

=== src/Manips/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: alpha.o color.o depth.o rotate.o translate.o scale.o separator.o
all: rotateXYZ.o translateXYZ.o scaleXYZ.o colorRGB.o accumrotate.o
all: linear_path.o spline_path.o ortho.o

sgi: all

=== src/Nongeos/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: world_light.o light.o particle.o

sgi: all

=== src/Pixes/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mdanks@cybermed.ucsd.edu
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
#	$Id: Makefile,v 1.5 1998/02/25 05:09:31 mdanks Exp $
#
##################################################

include ../Make.include

# the object files
all: pix_image.o pix_multiimage.o pix_snap.o
all: pix_texture.o pix_draw.o pix_buf.o

all: pix_2grey.o pix_gain.o pix_zoom.o pix_convolve.o pix_colormatrix.o
all: pix_coloralpha.o pix_color.o pix_threshold.o pix_alpha.o pix_bitmask.o
all: pix_add.o pix_subtract.o pix_multiply.o pix_invert.o pix_flip.o

all: pix_composite.o pix_mask.o pix_clearblock.o
all: pix_coordinate.o pix_resize.o

sgi: pix_videoSGI.o pix_indycam.o all

=== src/AuxLibs/particle/Makefile ===
######################################################################
# Particle System API and Demo
#
# by Dave McAllister
#
######################################################################

C++ = c++

COPT = -O3 
CFLAGS = $(COPT) $(COMPFLAGS) -I. -I.. 
LIBSG= -L/usr/X11R6/lib -lparticle -lglut -lMesaGL -lMesaGLU -lXmu -lX11 -lXext -lm

POBJS =action_api.o actions.o opengl.o system.o

ALL = libparticle.a

all: $(ALL)

# following line needed for c++ .cc files
.SUFFIXES	: .cpp

.cpp.o:
	$(C++) $(CFLAGS) -c $<

libparticle.a: $(POBJS)
	rm -f $@
	ar clq $@ $(POBJS)

pspray: PSpray.o libparticle.a
	$(C++) $(CFLAGS) -o $@ PSpray.o -L. $(LIBSG)

clean:
	rm -f $(ALL)
	rm -f *.o

## gem 0.81

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #   mark@danks.org
 #
-#   Copyright (c) 1997-1998 Mark Danks.
+#   Copyright (c) 1997-1999 Mark Danks.
 #   For information on usage and redistribution, and for a DISCLAIMER OF ALL
 #   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
 #
@@ -22,11 +22,12 @@
 # the objects
 #############
 BASE_CORE = CPPExtern.o GemMan.o GemBase.o sgiimage.o GemEvent.o
-BASE_EXT = GemShape.o TextBase.o GemPathBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o
-BASE_OBJ = ${BASE_CORE} ${BASE_EXT}
-UTILS_BASE = GemSetup.o GemState.o GemCache.o GemDag.o Matrix.o
+BASE_EXT_A = GemShape.o TextBase.o GemPathBase.o GemGluObj.o
+BASE_EXT_B = GemPixObj.o GemPixDualObj.o GemLoadObj.o GemModelData.o
+BASE_OBJ = ${BASE_CORE} ${BASE_EXT_A} ${BASE_EXT_B}
+UTILS_BASE = GemSetup.o GemState.o GemCache.o GemDag.o
 UTILS_PIX = GemFuncUtil.o GemPixUtil.o GemPixImageLoad.o
-UTILS_OS = GemWinCreateXWin.o
+UTILS_OS = GemWinCreateXWin.o Matrix.o
 UTILS = ${UTILS_BASE} ${UTILS_PIX} ${UTILS_OS}
 
 CONTROLS_A = gemwin.o camera.o render_trigger.o gemhead.o
@@ -41,10 +42,19 @@
 SPEC_GEOS = polygon.o model.o multimodel.o curve.o colorSquare.o
 GEOS = ${2DGEOS} ${3DGEOS} ${SPEC_GEOS}
 
+MARKEX_A = MarkExSetup.o abs.o average.o counter.o m_control.o hsvrgb.o
+MARKEX_B = multiselect.o randomF.o reson.o strcat.o tripleLine.o vector.o
+MARKEX = ${MARKEX_A} ${MARKEX_B}
+
 NONGEOS = world_light.o light.o
 
+PART_A = part_color.o part_draw.o part_follow.o part_gravity.o
+PART_B = part_head.o part_killold.o part_killslow.o part_orbitpoint.o
+PART_C = part_size.o part_source.o part_velcone.o part_velsphere.o
+PARTICLE = ${PART_A} ${PART_B} ${PART_C}
+
 PIX_GEOS = pix_image.o pix_multiimage.o pix_texture.o pix_draw.o pix_snap.o
-PIX_CONTROLS = pix_resize.o pix_buf.o pix_zoom.o
+PIX_CONTROLS = pix_resize.o pix_buf.o pix_zoom.o pix_data.o
 PIX_MANA = pix_add.o pix_subtract.o pix_multiply.o
 PIX_MANB = pix_threshold.o pix_gain.o pix_color.o pix_bitmask.o pix_flip.o
 PIX_MANC = pix_colormatrix.o pix_alpha.o pix_convolve.o pix_composite.o
@@ -56,7 +66,7 @@
 SGI_SPECIFIC = pix_videoSGI.o pix_indycam.o
 
 OBJ = ${BASE_OBJ} ${UTILS} ${CONTROLS} ${MANIPULATORS} \
-      ${GEOS} ${NONGEOS} ${PIXES}
+      ${GEOS} ${NONGEOS} ${PIXES} ${MARKEX} ${PARTICLE}
 
 SGI_OBJ = ${OBJ} ${SGI_SPECIFIC}
 LINUX_OBJ = ${OBJ}
@@ -139,7 +149,7 @@
 #	cd ${OBJ_DIR}; ld ${LD_FLAGS} -o ${TARGET} ${LINUX_OBJ} ${LIB}
 
 
-TARG_DIR = Base Geos Nongeos Controls Manips Pixes
+TARG_DIR = Base Geos Nongeos Controls Manips Pixes Particles MarkEx
 
 # make target
 #############

=== src/AuxLibs/liborb/Makefile ===
##
## Makefile for liborb and associated programs.
## Copyright 1997 John E. Stone (j.stone@acm.org)
##
## $Id: Makefile,v 1.1 1998/08/29 20:41:31 mdanks Exp $
##


##
## Edit the CC, CFLAGS, AR, and RANLIB compilation variables for your own
## system and preferences.
##
CC = cc
CFLAGS = -O 
AR = ar
RANLIB = touch


##
## You shouldn't need to modify anything below this point under normal
## circumstances.
##

ORBOBJS = orb.o orbserial.o
OBJS = $(ORBOBJS) main.o

all : liborb.a testorb

testorb : liborb.a main.o
	$(CC) $(CFLAGS) main.o -o testorb -L. -lorb

main.o : main.c orb.h
	$(CC) $(CFLAGS) main.c -c

liborb.a : $(ORBOBJS)
	$(AR) $(ARFLAGS) liborb.a $(ORBOBJS)
	$(RANLIB) liborb.a

orb.o : orb.c orb.h orbserial.h
	$(CC) $(CFLAGS) -c orb.c

orbserial.o : orbserial.c orbserial.h
	$(CC) $(CFLAGS) -c orbserial.c

distrib: 
	@echo "Building LibOrb Distribution..."
	@echo "making /tmp/LibOrb`date '+%m%d%y'`.tar.gz"
	rm -f /tmp/LibOrb`date '+%m%d%y'`.tar
	rm -f /tmp/LibOrb`date '+%m%d%y'`.tar.gz
	(cd ../; \
	tar -cf /tmp/LibOrb`date '+%m%d%y'`.tar \
	liborb/orb.c liborb/orb.h liborb/orbserial.c liborb/orbserial.h \
	liborb/serial.h liborb/tty.c liborb/tty.h liborb/liborb.def \
	liborb/main.c liborb/Makefile \
	liborb/README liborb/CREDITS liborb/CHANGES liborb/License \
	liborb/orbfly/orbfly.c liborb/orbfly/orbquat.c liborb/orbfly/orbquat.h \
	liborb/orbfly/Makefile liborb/orbfly/README; \
	)
	gzip /tmp/LibOrb`date '+%m%d%y'`.tar
	@echo "Distribution created."

clean :
	rm -f $(OBJS) liborb.a testorb

=== src/AuxLibs/particle/Makefile ===
--- 
+++ 
@@ -5,15 +5,20 @@
 #
 ######################################################################
 
-C++ = c++
+C++ = CC
 
-COPT = -O3 
-CFLAGS = $(COPT) $(COMPFLAGS) -I. -I.. 
-LIBSG= -L/usr/X11R6/lib -lparticle -lglut -lMesaGL -lMesaGLU -lXmu -lX11 -lXext -lm
+GLUT_HOME  =/usr/local/contrib/unmoderated
+
+# new 32 // Is mips4
+# LNO =-LNO:opt=1:fusion=2:fission=2:fusion_peeling_limit=2048:cs1=32K:cs2=4M
+# COPT = -O3 -Ofast=IP27 $(LNO)
+COPT = -o32 -O2
+CFLAGS = $(COPT) $(COMPFLAGS) -I. -I.. -I$(GLUT_HOME)/include
+LIBSG= -lparticle -L$(GLUT_HOME)/lib -lglut -lGL -lGLU -lXmu -lX11 -lXext -lm
 
 POBJS =action_api.o actions.o opengl.o system.o
 
-ALL = libparticle.a
+ALL = libparticle.a pspray
 
 all: $(ALL)

=== src/AuxLibs/td/Makefile ===
##
##  Makefile for all PLATFORMs
##
##  Note:  the $PLATFORM environment variable must be set to the
##         platform that you want to compile for, e.g.,
##         setenv PLATFORM platform
##

default	:
	@if [ $${PLATFORM:-notset} = notset ] ; then \
	 echo "make: **ERROR - PLATFORM environment variable not set!" ; \
	else \
	 echo "make -f Makefile.$$PLATFORM" ; \
	 make -f Makefile.$$PLATFORM ; \
	fi

clean	:
	@if [ $${PLATFORM:-notset} = notset ] ; then \
	 echo "make: **ERROR - PLATFORM environment variable not set!" ; \
	else \
	 echo "make -f Makefile.$$PLATFORM clean" ; \
	 make -f Makefile.$$PLATFORM clean ; \
	fi

=== src/AuxLibs/liborb/orbfly/Makefile ===
##
## Makefile for orbfly. 
## Copyright 1997, 1998 John E. Stone (j.stone@acm.org)
##
## $Id: Makefile,v 1.1 1998/08/29 20:41:35 mdanks Exp $
##

##
## Edit these OpenGL include and linkage flags for your system.
##

GLUTHOME = /disk4/packages/build/glut-3.6
GLINC = -I/usr/openwin/include -I$(GLUTHOME)/include/GL
GLLIB = -L/usr/lib -lGL -lGLU  -L$(GLUTHOME)/lib/glut -lglut

##
## Edit the CC, CFLAGS, AR, and RANLIB compilation variables for your own
## system and preferences.
##
CC = cc
CFLAGS = -O  $(GLINC) -I..
LFLAGS = $(GLLIB) -L.. -lorb -lm -lXmu -lX11 
AR = ar
RANLIB = touch


##
## You shouldn't need to modify anything below this point under normal
## circumstances.
##

OBJS = orbfly.o orbquat.o

all : ../liborb.a orbfly

orbfly : ../liborb.a $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o orbfly $(LFLAGS) 

orbfly.o : orbfly.c 
	$(CC) $(CFLAGS) orbfly.c -c

orbquat.o : orbquat.c orbquat.h
	$(CC) $(CFLAGS) orbquat.c -c

clean :
	rm -f $(OBJS) orbfly

## gem 0.92.3

=== Makefile ===
current:
	make -C src


$(MAKECMDGOALS):
	make -C src $(MAKECMDGOALS)

=== src/Makefile ===
default: all
SRCDIR=.
include Make.include

BUILDDIR = ..

# all objects that have been build
#OBJECTS = $(GEM_TARGETS:%=%/*.o)
OBJECTS = $(OBJDIR)*.o

.PHONY: default all subdirs $(GEM_TARGETS) clean distclean install installdocs installabs strip config

all: subdirs strip

Gem.$(EXT): subdirs 
	$(CXXLINK) $(GEM_EXTRA_LDFLAGS)  $(GEM_ARCH_LDFLAGS) $(GEM_LDFLAGS) $(OBJECTS) $(GEM_LIBS) $(X_LIBS)

strip: Gem.$(EXT)
	-$(STRIP) $(STRIP_UNNEEDED) Gem.$(EXT)

Objects:
	mkdir Objects

## handling of subdirs as proposed by the GNU-make documentation
subdirs: Objects $(GEM_TARGETS)

$(GEM_TARGETS):
	${MAKE} -C $@ 

clean:
	@for d in ${GEM_TARGETS}; do \
	    echo "----------$$d----------"; \
	    ${MAKE} -C $$d clean; \
	done
	-rm -f Gem.$(EXT) *~
	-rm -f $(OBJDIR)*.o

distclean:
	@for d in ${GEM_TARGETS}; do \
	    echo "----------$$d----------"; \
	    ${MAKE} -C $$d distclean; \
	done
	-rm -f Gem.$(EXT) *~
	-rm -f config.cache config.log config.status Make.config

install: installdocs installabs
	$(INSTALL_DATA) -D Gem.$(EXT) $(DESTDIR)/$(PDLIBDIR)/extra/Gem/Gem.$(EXT)

installabs:
	$(INSTALL) -d $(DESTDIR)/$(PDLIBDIR)/extra/Gem
	$(INSTALL_DATA) ./../abstractions/*.pd $(DESTDIR)/$(PDLIBDIR)/extra/Gem

installdocs:
	$(INSTALL) -d $(DESTDIR)/$(PDLIBDIR)/$(PDREFPATH)
	$(INSTALL_DATA) ./../help/*.* $(DESTDIR)/$(PDLIBDIR)/$(PDREFPATH)
	$(INSTALL) -d $(DESTDIR)/$(PDLIBDIR)/doc/gem
	cp -r ./../examples $(DESTDIR)/$(PDLIBDIR)/doc/gem

=== src/Base/Makefile ===
default: o_objects

include ../Makefile.subdir

all:
	make -C ..

=== src/Output/Makefile ===
default: pd_objects

OBJDIR=./

include ../Makefile.subdir

all:
	make -C ..


GLUT=-lglut

%.$(EXT): %.o
	$(CXXLINK) $(GEM_EXTRA_LDFLAGS)  $(GEM_ARCH_LDFLAGS) $(GEM_LDFLAGS) $(GEM_LIBS) $(X_LIBS) $<

gemglutwindow.$(EXT): gemglutwindow.o
	$(CXXLINK) $(GEM_EXTRA_LDFLAGS)  $(GEM_ARCH_LDFLAGS) $(GEM_LDFLAGS) $(GEM_LIBS) $(X_LIBS)  $(GLUT) $<

=== debian/changelog ===
gem (1:0.92.3-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * bumped to standards 3.9.1
  * Build-depend on quilt (>= 0.46-7~)
  * Added Vcs-git and Vcs-browser fields
  * fixed kFreeBSD build issues
  * Removed dependency on libdv (doesn't work with newer kernels)
  * Moved example patches into /usr/share/gem and symlink them (Closes: #579943)
  * Added examples from 09.glsl (which needs 05_fixperms as one patch is +x)
  * Avoid installing vera.ttf living in examples/05.text/
  * there is no examples/00* section
  * Fixed path to text-examples
  * Fixed permissions via patch to build-system
  * Added missing includes for fstat() (Closes:#600381)
  * Added patch descriptions for quilt-patches
  * optionally include linux/videodev.h (Closes: #621956)

  [Paul Brossier]
  * Make sure mmx is enabled

 -- Paul Brossier <piem@debian.org>  Thu, 12 May 2011 14:12:57 +0200

gem (1:0.92.3-1) unstable; urgency=low

  * New upstream
  * removed debian/patches/00_no_flags_overwrite.patch, as it's in upstream
  * converted source format to "3.0 (quilt)"

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 19 Mar 2010 16:41:16 +0100

gem (1:0.92.2-3) unstable; urgency=low

  * debian/patches/03_falign_default.patch:
    - remove "apparently pointlessly picky options =32" for falign-... options
      (Closes: #573712)
  * fixed comma typo in "Uploaders" field
  * fixed build-deps for hurd and kfreebsd
  * build-depend on libmagick++-dev rather than libmagick++9-dev
  * made the binary package "suggest" ttf-dejavu rather than "depend" on it
  * bumped standards version to 3.8.4

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 18 Mar 2010 19:32:09 +0100

gem (1:0.92.2-2) unstable; urgency=low

  * debian/patches/00_no_flags_overwrite.patch:
    - do not overwrite CXXFLAGS (closes: #562635)
    - make sure user defined flags are last

 -- Paul Brossier <piem@debian.org>  Sun, 27 Dec 2009 02:16:12 +0100

gem (1:0.92.2-1) unstable; urgency=low

  [IOhannes m zmoelnig]
  * New upstream (Closes: #485972)
  * New upstream version fixes bugs by itself (Closes: #549720)
  * new upstream version might fix problems on various driver/hardware
    combinations (and provides mechanisms for workarounds) (Closes: #454731)
  * build against libavifile
  * build-depend on automake
  * added "pd-gem" script that properly calls Pd with the correct Gem enabled
  * added myself as Maintainer, since gem is officially orphaned 
  * bumped debhelper version
  * fixes most lintian warnings
    (Closes: #546956)

  [Paul Brossier]
  * debian/control:
    - adopt package (closes: #546956)
    - span build-depends on multiple lines
    - switch to quilt, tighten debhelper depends
  * debian/rules:
    - switch to debhelper
    - remove direct patch to src/configure
    - remove gem-0.92-1.tar.gz.cdbs-config_list
    - clean generated src/Base/configLinux.h
  * debian/patches/series, debian/README.source: switch to quilt

 -- Paul Brossier <piem@debian.org>  Fri, 25 Dec 2009 13:04:48 +0100

gem (1:0.90.0.1-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update ttf-bitstream-vera dep to ttf-dejavu. (Closes: #461282).
    + 05_change_defaultfont.patch - Change to DejaVu.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 11 May 2009 13:17:39 -0400

gem (1:0.90.0.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable; sorry.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 08 Sep 2008 19:28:44 +0200

gem (1:0.90.0.1-2.1) experimental; urgency=low

  * Non-maintainer upload.

  [ Sam Hocevar ]
  * Build-depend on libftgl-dev in order to use the shared version of the
    library. (Closes: #485798)

  [ Peter Green ]
  * Spurious build-dependency xlibs-static-dev can simply be removed.
    (Closes: #484190, #421560)

  [ Andreas Henriksson ]
  * Add debian/patches/06_ftgl.patch to link ftgl instead of ftgl_pic.

  [Alexander Reichle-Schmehl]
  * Replacing xlibmesa-gl-dev with libgl1-mesa-dev in build depends
  * Replacing "Apps/Graphics with "Applications/Graphics" in debian/menu

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 07 Sep 2008 17:08:52 +0200

gem (1:0.90.0.1-2) unstable; urgency=low

  * Dropped kernel-headers build dependency (closes: 432546) (closes: 433276)
  * removed build dep on xlibs-static-dev (closes: 421560)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 16 Jul 2007 12:37:11 +0200

gem (1:0.90.0.1-1) unstable; urgency=low

  * removed truetype fonts (closes: #372784)
  * Made /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf the
    default font (patch)
  * depends on ttf-bitstream-vera
  * suggests pd-zexy
  * removed dependency on xlibmesa-glu-dev (closes: #374595) (closes: #374266)
  * bumped standards version to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 22 Jun 2006 20:36:06 +0200

gem (1:0.90.0-18) unstable; urgency=low

  * Removed FFMPEG support (doesnt compile with newer FFMPEG)
  * applied patch for libquicktime header location change (quicktime ->
    lqt)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 Oct 2005 11:09:26 +0200

gem (1:0.90.0-17) unstable; urgency=low

  * added libvorbis, libvorbisenc and libdc1394_control

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 19 Aug 2005 12:12:01 +0200

gem (1:0.90.0-16) unstable; urgency=low

  * Added build dependency on libxxf86vm-dev (closes: #323521)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 19 Aug 2005 10:29:40 +0200

gem (1:0.90.0-15) unstable; urgency=low

  * reordered avcodec and avformat, added libdts

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 24 Jun 2005 16:08:50 +0200

gem (1:0.90.0-14) unstable; urgency=low

  * Linking with _pic version of avformat and avcodec (closes: #313066)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 12 Jun 2005 16:22:56 +0200

gem (1:0.90.0-13) unstable; urgency=low

  * Added libdv and ffmpeg
  * Pulled dv1394.h file in


=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Guenter Geiger (Debian/GNU) <geiger@debian.org>
Homepage: http://gem.iem.at/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gem.git
Vcs-Git: git://git.debian.org/git/collab-maint/gem.git
Build-Depends: debhelper (>= 7.0.50~),
 autoconf,
 automake,
 pkg-config,
 puredata-dev | puredata | pd,
 libftgl-dev,
 libmagick++-dev,
 libxxf86vm-dev,
 libgl1-mesa-dev | libgl-dev,
 zlib1g-dev (>= 1:1.1.3),
 libquicktime-dev [!hurd-i386],
 libmpeg3-dev,
 libavifile-0.7-dev,
 libgmerlin-avdec-dev [!hurd-i386],
 libv4l-dev [!kfreebsd-amd64 !kfreebsd-i386]
Standards-Version: 3.9.2

Package: gem
Architecture: any
Depends: pd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pd-zexy, ttf-dejavu
Description: Graphics Environment for Multimedia - PureData library
 Gem is a loadable library for puredata, which adds OpenGL graphics rendering
 and animation to Pd.  Pd is a graphical programming language and computer
 music system.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXXFLAGS+="-I/usr/include/pd"

archconfflags := \
        --prefix=/usr \
	--without-ALL \
	--with-ImageMagick \
	--with-lqt \
	--with-libquicktime \
	--with-gmerlin_avdec \
	--with-libmpeg3 \
	--with-avifile \
	--with-v4l \
	--with-libv4l1 \
	--with-libv4l2 \
	--with-ftgl \
	--with-default-font=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf

%:
	dh $@

override_dh_auto_configure:
	cd src && CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./configure $(archconfflags)

override_dh_auto_build:
	dh build --before dh_auto_build
	cd src && make
	dh build --after dh_auto_build

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	cd src && [ ! -f Makefile ] || make distclean
	-$(RM) -rf src/Base/configLinux.h
	dh clean --after dh_auto_clean

override_dh_compress:
	dh_compress -X.pd -X.TIF -X.obj

override_dh_fixperms:
	dh_fixperms -Xpd-gem

override_dh_auto_test:
	# no actual 'make test' target

=== debian/watch ===
version=3
http://sf.net/pd-gem/ gem-(\d+)\.(\d+)-(\d)\.tar\.gz
